[experiment] Simplify the hidden preferences that control whether Tracking Protection is enabled in non-private windows
We need a new checkbox in the privacy section of the preferences tab for enabling TP in normal browsing mode. It will be followed by two radio buttons for selecting whether TP will be used in private windows (Default), "Always", or never use TP in case the checkbox is unchecked. Choosing “Always” (use TP) will enable DNT by flipping the privacy.donottrackheader.enabled pref and send the DNT signal to all sites.
